Loading...
Searching...
No Matches
CbData_s Struct Reference
Yum repo manipulation

`#include <yum.h>`

## Data Fields

void * | userdata
void * | cbdata
LrProgressCb | progresscb
LrHandleMirrorFailureCb | hmfcb
char * | metadata

## Detailed Description

Mirror Failure Callback Data

Definition at line 61 of file yum.h.

## Field Documentation

## cbdata

void* cbdata

User's callback data

Definition at line 63 of file yum.h.

## hmfcb

LrHandleMirrorFailureCb hmfcb

Handle mirror failure callback

Definition at line 65 of file yum.h.

## metadata

char* metadata

"primary", "filelists", ...

Definition at line 66 of file yum.h.

## progresscb

LrProgressCb progresscb

Progress callback

Definition at line 64 of file yum.h.

## userdata

void* userdata

User data

Definition at line 62 of file yum.h.

The documentation for this struct was generated from the following file:

- yum.h